package videorental.categories;

public class MovieCategoryChildrens implements MovieCategory {
    public static final MovieCategoryChildrens SINGLETON =
            new MovieCategoryChildrens();

    private MovieCategoryChildrens() {
    }

    @Override
    public double calculateCost(int daysRented) {
        double rentalCost = 0.25;
        if (daysRented > 3)
            rentalCost += (daysRented - 3) * 0.15;
        return rentalCost;
    }

    @Override
    public int calculateFrequentRenterPoints(int daysRented, int frequentRenterPoints) {
        frequentRenterPoints++;
        return frequentRenterPoints;
    }
}
