package videorental.categories;

public class MovieCategoryNewRelease implements MovieCategory {
    public static final MovieCategoryNewRelease SINGLETON =
            new MovieCategoryNewRelease();

    private MovieCategoryNewRelease() {

    }

    @Override
    public double calculateCost(int daysRented) {
        return daysRented * 0.5;
    }

    @Override
    public int calculateFrequentRenterPoints(int daysRented, int frequentRenterPoints) {
        frequentRenterPoints++;
        if (daysRented > 1) {
            frequentRenterPoints++;
        }
        return frequentRenterPoints;
    }
}
